import request from "@/utils/request";

// 获得WMS 品质管理-oqc检验项分页--待检验
export function getOQCpage(query) {
  return request({
    url: "/rtkwms/incoming-receipt-inspection/pageOqc",
    method: "get",
    params: query,
  });
}
// 获得WMS 品质管理-oqc检验项分页--已检验
export function getOqcInspectedPage(query) {
  return request({
    url: "/rtkwms/sale-out-order-inspection/page",
    method: "get",
    params: query,
  });
}
// 获得oqc物料分页
export function getFqcPage(query) {
  return request({
    url: "/rtkqms/material-item-result/fqcpage",
    method: "get",
    params: query,
  });
}
// 获得oqc物料检验项结果分页
export function getOqcpage(query) {
  return request({
    url: "/rtkqms/material-item-result/oqcpage",
    method: "get",
    params: query,
  });
}

// 检验执行前置校验
export function oqccreateMaterialItemResult(data) {
  return request({
    url: "/rtkqms/material-item-result/oqccreate",
    method: "post",
    data: data,
  });
}

// 完成检验
export function finishOqcMaterialItem(data) {
  return request({
    url: "/rtkwms/sale-out-order-inspection/create",
    method: "post",
    data: data,
  });
}

// oqc重新检验
export function updateOqcReinspection(data) {
  return request({
    url: "/rtkqms/material-item-result/oqcReinspection",
    method: "put",
    data: data,
  });
}
